{% if devices[inventory_hostname].interfaces.mlag is defined %}
{{ "MLAG" | comment }}

{% for interface in peerlinks %}
auto {{ interface }}
iface {{ interface }}
{% endfor %}

auto peerlink
iface peerlink
    bond-slaves {% for interface in peerlinks %}{{ interface }} {% endfor %}

auto peerlink.4094
iface peerlink.4094
    clagd-backup-ip {{ devices[devices[inventory_hostname].clagbackup].interfaces.loopback.ipv4|ipaddr('address')  }}
    clagd-peer-ip linklocal
{% if devices[inventory_hostname].priority == "primary" %}
    clagd-priority 1000
{% else %}
    clagd-priority 32768
{% endif %}
    clagd-sys-mac {{ devices[inventory_hostname].sysmac }}
{% endif %}
